### Method

# Xdp Session pointer_button

#### Declaration [src]

    void
    xdp_session_pointer_button (
      XdpSession* session,
      int button,
      XdpButtonState state
    )

#### Description [src]

Changes the state of the button to `state`.

May only be called on a remote desktop session with `XDP_DEVICE_POINTER` access.

#### Parameters

`button`

  Type: `int`

  The button.

`state`

  Type: `XdpButtonState`

  The new state.